using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Models.Models
{
    /// <summary>
    /// 模型文件数据
    /// </summary>

    [Table("TBL_MODEL_FILE_DATA")]
    public class TBL_MODEL_FILE_DATA
    {
        [Key, Column(TypeName = "int"), Comment("模型文件数据id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int MFD_ID { get; set; }

        [Column(TypeName = "int"), Comment("是否可用  0 不可以 1 可用")]

        public int Available { get; set; } = 0;


        [Column(TypeName = "nvarchar(100)"), Comment("厂牌")]

        public string Brand { get; set; } = String.Empty;



        [Column(TypeName = "nvarchar(50)"), Comment("机型编号")]

        public string ModelNo { get; set; } = String.Empty;

        [Column(TypeName = "nvarchar(50)"), Comment("机型名称")]

        public string ModelName { get; set; } = String.Empty;

        [Column(TypeName = "nvarchar(100)"), Comment("功能描述")]

        public string Description { get; set; } = String.Empty;


        [Column(TypeName = "nvarchar(100)"), Comment("图片")]

        public string Image { get; set; } = String.Empty;


        [Column(TypeName = "nvarchar(100)"), Comment("目录名")]

        public string Directory { get; set; } = String.Empty;



        [Column(TypeName = "nvarchar(255)"), Comment("XML文件名")]
        public string XML_FileName { get; set; } = String.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("DAT文件名")]
        public string DAT_FileName { get; set; } = String.Empty;



        [Column(TypeName = "nvarchar(100)"), Comment("版本号")]

        public string Version { get; set; } = String.Empty;


        [Column(TypeName = "datetime"), Comment("上传日期")]

        public DateTime UploadDateTime { get; set; } = DateTime.Now;



        [Column(TypeName = "nvarchar(100)"), Comment("作者")]

        public string Author { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("XLM_MD5")]

        public string XLM_MD5 { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("DAT_MD5")]

        public string DAT_MD5 { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(100)"), Comment("料号")]

        public string PartNumber { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string Remark { get; set; } = string.Empty;

    }

}
